import numpy as np
import matplotlib.pyplot as plt

# Délka jedné periody
T = 2

# Počet period před a po intervalu
num_periods = 3

# Definice intervalu t pro funkci <0, 1/2)
t1 = np.linspace(0, 0.5, 100)

# Definice intervalu t pro funkci <1/2, 2)
t2 = np.linspace(0.5, 2, 100)

# Vytvořte pole hodnot f(t) pro první interval
f1 = 1 + np.exp(-t1)

# Vytvořte pole hodnot f(t) pro druhý interval a posuňte ho tak, aby měl hodnotu 2 v bodech vzdálených o násobek periody T = 2
f2 = 1 + np.exp(-t2 - T * num_periods)

# Vykreslete první část funkce
plt.plot(t1, f1, label='1+exp(-t)', color='blue')

# Vykreslete druhou část funkce
plt.plot(t2, f2, label='1+exp(-t) shifted', color='blue')

# Nastavte osy a přidejte popisky
plt.xlabel('t')
plt.ylabel('f(t)')
plt.title('Graf funkce f(t) s posunutím')
plt.legend()

# Zobrazte graf
plt.show()